<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IVector (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IVector (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IVector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IVector.html" target="_top">Frames</a></li>
<li><a href="IVector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Interface IVector" class="title">Interface IVector</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com4j.Com4jObject, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;com4j.Com4jObject&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IVector</span>
extends com4j.Com4jObject, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;com4j.Com4jObject&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#add-java.lang.Object-int-">add</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value,
   int&nbsp;index)</code>
<div class="block">
 If Index is not zero, Inserts a new element into the Vector collection before the specified Index.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#binaryData--">binaryData</a></span>()</code>
<div class="block">
 Returns/Sets the Vector of Bytes as an array of bytes</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#binaryData-java.lang.Object-">binaryData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pvResult)</code>
<div class="block">
 Returns/Sets the Vector of Bytes as an array of bytes</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#clear--">clear</a></span>()</code>
<div class="block">
 Removes all elements.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#count--">count</a></span>()</code>
<div class="block">
 Returns the number of members in the vector</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#date--">date</a></span>()</code>
<div class="block">
 Returns/Sets the Vector of Integers from a Date</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#date-java.util.Date-">date</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;pdResult)</code>
<div class="block">
 Returns/Sets the Vector of Integers from a Date</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#imageFile-int-int-">imageFile</a></span>(int&nbsp;width,
         int&nbsp;height)</code>
<div class="block">
 Used to get the Thumbnail property of an ImageFile which is an image file, The thumbnail property of an Item which is RGB data, or creating an ImageFile from raw ARGB data.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#item-int-">item</a></span>(int&nbsp;index)</code>
<div class="block">
 Returns/Sets the specified item in the vector by position</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#item-int-java.lang.Object-">item</a></span>(int&nbsp;index,
    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pResult)</code>
<div class="block">
 Returns/Sets the specified item in the vector by position</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;com4j.Com4jObject&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#iterator--">iterator</a></span>()</code>
<div class="block">
 Getter method for the COM property "_NewEnum"</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#picture-int-int-">picture</a></span>(int&nbsp;width,
       int&nbsp;height)</code>
<div class="block">
 If the Vector of Bytes contains an image file, then Width and Height are ignored.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#remove-int-">remove</a></span>(int&nbsp;index)</code>
<div class="block">
 Removes the designated element and returns it if successful</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#setFromString-java.lang.String-boolean-boolean-">setFromString</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
             boolean&nbsp;resizable,
             boolean&nbsp;unicode)</code>
<div class="block">
 Stores the string Value into the Vector of Bytes including the NULL terminator.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#string-boolean-">string</a></span>(boolean&nbsp;unicode)</code>
<div class="block">
 Returns a Vector of Bytes as a String</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com4j.Com4jObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com4j.Com4jObject</h3>
<code>advise, dispose, equals, getComThread, getIUnknownPointer, getPointer, getPtr, hashCode, is, queryInterface, setName, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="item-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>item</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;item(int&nbsp;index)</pre>
<div class="block"><p>
 Returns/Sets the specified item in the vector by position
 </p>
 <p>
 Getter method for the COM property "Item"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Mandatory int parameter.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="item-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>item</h4>
<pre>void&nbsp;item(int&nbsp;index,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pResult)</pre>
<div class="block"><p>
 Returns/Sets the specified item in the vector by position
 </p>
 <p>
 Setter method for the COM property "Item"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Mandatory int parameter.</dd>
<dd><code>pResult</code> - Mandatory java.lang.Object parameter.</dd>
</dl>
</li>
</ul>
<a name="count--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>count</h4>
<pre>int&nbsp;count()</pre>
<div class="block"><p>
 Returns the number of members in the vector
 </p>
 <p>
 Getter method for the COM property "Count"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="picture-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>picture</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;picture(@DefaultValue(value="0")
               int&nbsp;width,
               @DefaultValue(value="0")
               int&nbsp;height)</pre>
<div class="block"><p>
 If the Vector of Bytes contains an image file, then Width and Height are ignored. Otherwise a Vector of Bytes must be RGB data and a Vector of Longs must be ARGB data. Returns a Picture object on success. See the ImageFile method for more details.
 </p>
 <p>
 Getter method for the COM property "Picture"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Optional parameter. Default value is 0</dd>
<dd><code>height</code> - Optional parameter. Default value is 0</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="imageFile-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>imageFile</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a>&nbsp;imageFile(@DefaultValue(value="0")
                     int&nbsp;width,
                     @DefaultValue(value="0")
                     int&nbsp;height)</pre>
<div class="block"><p>
 Used to get the Thumbnail property of an ImageFile which is an image file, The thumbnail property of an Item which is RGB data, or creating an ImageFile from raw ARGB data. Returns an ImageFile object on success. See the Picture method for more details.
 </p>
 <p>
 Getter method for the COM property "ImageFile"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Optional parameter. Default value is 0</dd>
<dd><code>height</code> - Optional parameter. Default value is 0</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IImageFile</dd>
</dl>
</li>
</ul>
<a name="binaryData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>binaryData</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;binaryData()</pre>
<div class="block"><p>
 Returns/Sets the Vector of Bytes as an array of bytes
 </p>
 <p>
 Getter method for the COM property "BinaryData"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="binaryData-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>binaryData</h4>
<pre>void&nbsp;binaryData(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pvResult)</pre>
<div class="block"><p>
 Returns/Sets the Vector of Bytes as an array of bytes
 </p>
 <p>
 Setter method for the COM property "BinaryData"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pvResult</code> - Mandatory java.lang.Object parameter.</dd>
</dl>
</li>
</ul>
<a name="string-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>string</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;string(@DefaultValue(value="-1")
              boolean&nbsp;unicode)</pre>
<div class="block"><p>
 Returns a Vector of Bytes as a String
 </p>
 <p>
 Getter method for the COM property "String"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>unicode</code> - Optional parameter. Default value is false</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.String</dd>
</dl>
</li>
</ul>
<a name="date--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>date</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;date()</pre>
<div class="block"><p>
 Returns/Sets the Vector of Integers from a Date
 </p>
 <p>
 Getter method for the COM property "Date"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.util.Date</dd>
</dl>
</li>
</ul>
<a name="date-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>date</h4>
<pre>void&nbsp;date(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;pdResult)</pre>
<div class="block"><p>
 Returns/Sets the Vector of Integers from a Date
 </p>
 <p>
 Setter method for the COM property "Date"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pdResult</code> - Mandatory java.util.Date parameter.</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;com4j.Com4jObject&gt;&nbsp;iterator()</pre>
<div class="block"><p>
 Getter method for the COM property "_NewEnum"
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#iterator--" title="class or interface in java.lang">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;com4j.Com4jObject&gt;</code></dd>
</dl>
</li>
</ul>
<a name="add-java.lang.Object-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>void&nbsp;add(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value,
         @DefaultValue(value="0")
         int&nbsp;index)</pre>
<div class="block"><p>
 If Index is not zero, Inserts a new element into the Vector collection before the specified Index. If Index is zero, Appends a new element to the Vector collection.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Mandatory java.lang.Object parameter.</dd>
<dd><code>index</code> - Optional parameter. Default value is 0</dd>
</dl>
</li>
</ul>
<a name="remove-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;remove(int&nbsp;index)</pre>
<div class="block"><p>
 Removes the designated element and returns it if successful
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Mandatory int parameter.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.Object</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear()</pre>
<div class="block"><p>
 Removes all elements.
 </p></div>
</li>
</ul>
<a name="setFromString-java.lang.String-boolean-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setFromString</h4>
<pre>void&nbsp;setFromString(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
                   @DefaultValue(value="-1")
                   boolean&nbsp;resizable,
                   @DefaultValue(value="-1")
                   boolean&nbsp;unicode)</pre>
<div class="block"><p>
 Stores the string Value into the Vector of Bytes including the NULL terminator. Value may be truncated unless Resizable is True. The string will be stored as an ANSI string unless Unicode is True, in which case it will be stored as a Unicode string.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Mandatory java.lang.String parameter.</dd>
<dd><code>resizable</code> - Optional parameter. Default value is false</dd>
<dd><code>unicode</code> - Optional parameter. Default value is false</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IVector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IVector.html" target="_top">Frames</a></li>
<li><a href="IVector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
